rbclipper in sketchup 2017

rbclipper in sketchup 2017

Postby biervat » Fri Nov 03, 2017 11:24 am

I'm trying to use the rbclipper library in sketchup 2017 pro x64 using this tutorial:
http://dagrende.blogspot.be/2011/08/ins ... hup-8.html

But instead of ruby 1.8.7 I used 2.2.4 and instead of DevKit-tdm-32-4.5.2-20110712-1620-sfx.exe I used DevKit-mingw64-64-4.7.2-20130224-1432-sfx.exe

When I try running it in Sketchup I get this error

Code: Select all
require 'clipper'
Error: #<LoadError: 126: The specified module could not be found.   - C:/Users/maarten/AppData/Roaming/SketchUp/SketchUp 2017/SketchUp/Plugins/clipper.so>
C:/Program Files/SketchUp/SketchUp 2017/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:in `require'
C:/Program Files/SketchUp/SketchUp 2017/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:in `require'
<main>:in `<main>'
SketchUp:1:in `eval'


What am I doing wrong?
0

biervat 
 

Re: rbclipper in sketchup 2017

Postby biervat » Tue Nov 07, 2017 9:34 am

I got it working. I used the ruby-c-extension-example to create a visual studio 2017 project and compiled it. You can find the VS2017 project in the link and compile it or use the so in releases if you have Sketchup 2017 x64.

https://drive.google.com/open?id=1Ulz8s ... hEOhAtIq2L
0

biervat 
 

SketchUcation One-Liner Adverts

by Ad Machine » 5 minutes ago



Ad Machine 
Robot
 



 

Return to Developers' Forum

Who is online

Users browsing this forum: No registered users and 12 guests

Visit our sponsors: